package com.fjhx.service.common;

import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.common.CommonFile;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 文件 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface CommonFileService extends StorageBaseService<CommonFile> {

    Map<String, String> uploadFile(MultipartFile file);

    void add(Long businessId, List<CommonFile> list);

    void edit(Long businessId, List<CommonFile> list);

    void delete(Long id);

    void delete(List<Long> idList);

    List<CommonFile> fileList(Long businessId);

    Map<Long, List<CommonFile>> fileMap(List<Long> businessIdList);

}
